/*  00:44  12/13/1994

                            PERSISTENCE OF VISION RAYTRACER 2
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
                INDEX OF REFRACTION (IOR) VALUES FOR VARIOUS SUBSTANCES
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

                          IOR-values added by Sven-Erik Andersen
                          

Currently holds 117 different materials/IOR's. This update on December 13., 1994.
The list may have various IOR for the same substance, that is becouse I have
found different values in different sources, or it's for differnt wavelengths.

This update has cleared up the mess under chemicals, given them there poper
name, and put them under the right subgroup. The chemical formulae-name stands
in the comment for that chemical. There has been a substansial add-on to the
crystall-group (!), partly becouse most under chemicals are crystalls, but and
not the least, becouse Mikhail Elashkin <artimind@aoi.isrir.msk.su> from the
Independent Group "Developing Games Software", Russia, Moscow have contributed
with a nice collection of crystall-Ior values. The names of these crystalls have
been transcribed to latin letters from russian, and the resulting names may not
have the correct english names, those that I didn't recognice I have left as is,
but if someone should happen to recognice any, and knows the correct english
name, then please Email me! Those that I am not shure on has  added to the
comment.

A little comment on these crystalls. Where I have a range of values for a
substance, (#declare Beryll_Ior_1  = 1.585  // 1.568-1.602)
                                               ^^^^^^^^^^^
I took the middle value for that range (some crystalls have several
valueranges).

Comments, add-ons, corrections etc. (much appreciated) to

Email    :  <svenerik@oslonett.no>
snailmail:  Sven-Erik Andersen
            Fairbanksveien 37
            N-8610 GRUBHEI
            The Kingdom of NORWAY.


                       ** STP = Standard Temperature and Pressure **

*/

//
// GASS
//

#declare Air_STP_Ior                  = 1.00029
#declare Air_Ior                      = 1.000292
#declare Liquid_Carbon_Dioxide_Ior    = 1.20
#declare Vacuum_Ior                   = 1.00000


//
// GLASS
//

#declare Crown_Glass_Ior_1            = 1.51
#declare Crown_Glass_Ior_2            = 1.52
#declare Crown_Glass_Red_Ior          = 1.513
#declare Crown_Glass_Orange_Ior       = 1.514
#declare Crown_Glass_Yellow_Ior       = 1.517
#declare Crown_Glass_Green_Ior        = 1.519
#declare Crown_Glass_Blue_Ior         = 1.528
#declare Crown_Glass_Violet_Ior       = 1.532
#declare Zinc_Crown_Glass_Ior         = 1.517
#declare Glass_Ior                    = 1.5
#declare Flint_Glass_Ior              = 1.71
#declare Heaviest_Flint_Glass_Ior     = 1.89
#declare Heavy_Flint_Glass_Ior        = 1.65 
#declare Light_Flint_Glass_Ior        = 1.575
#declare Amorphous_Selenium_Ior       = 2.92   // Red glass


//
// GEM-STONES, CRYSTALLS etc.
//

#declare Alexandrit_Ior_1             = 1.753  // ((K)Hrisoberil) yellow, 
#declare Alexandrit_Ior_2             = 1.747  // yellow-green, red in 
#declare Alexandrit_Ior_3             = 1.744  // artificial light. 
#declare Amber_Ior_1                  = 1.546
#declare Amber_Ior_2                  = 1.535  // 1.53-1.54
#declare Bariumdifluorid_Ior	      = 1.47   // BaF2
#declare Beryll_Ior_1                 = 1.585  // 1.568-1.602
#declare Beryll_Ior_2                 = 1.5795 // 1.564-1.595
#declare Birusa_Ior_1                 = 1.65   // bright blue and green 
#declare Birusa_Ior_2                 = 1.62   // 
#declare Birusa_Ior_3                 = 1.61   // 
#declare Calcite_Ior                  = 1.60   // CaCO3
#declare Cadmium_sulfide_Ior	      = 2.34   // CdS. Greenockite
#declare Calciumdifluorid_Ior	      = 1.43   // CaF2
#declare Calspar1_Ior                 = 1.66
#declare Calspar2_Ior                 = 1.486
#declare Chalcedony_Ior_1             = 1.5415 // 1.539-1.544
#declare Chalcedony_Ior_2             = 1.5305 // 1.526-1.535
#declare Corundum_Ior                 = 1.75   // aluminium oxide/Al2O3. Ionic
                                               // crystal. Commonly Al2O3
                                               // contains small amounts of 
                                               // impurities that produce
                                               // beautiful colored crystals.
                                               // Cr(3+)-containing Al2O3
                                               // constitutes ruby (red color).
                                               // Ti(4+) impurities produce 
                                               // blue crystals and are a
                                               // variety of blue zaphir.
#declare Crystal_Ior                  = 2.00
#declare Diamond_Ior_1                = 2.47
#declare Diamond_Ior_2                = 2.417 
#declare Emerald_Ior                  = 1.57
#declare Fluorite_Ior                 = 1.434  // colorless 
#declare Fused_Quartz_Ior             = 1.46
#declare Granat_Ior                   = 1.755  // 1.705-1.805
#declare Ice_Ior                      = 1.309
#declare Iodine_Crystal_Ior           = 3.340
#declare Lapis_Lazuli_Ior             = 1.61
#declare Lazurite_Ior                 = 1.498  // blue. 1.495-1.501
#declare Lithiumfluoride_Ior	      = 1.39   // LiF
#declare Magnesiumdifluorid_Ior	      = 1.38   // MgF2
#declare Magnesium_oxide_Ior	      = 1.70   // MgO. Ionic crystal.
#declare Malakhit_Ior_1               = 1.9091 // green-black 
#declare Malakhit_Ior_2               = 1.875  // 
#declare Malakhit_Ior_3               = 1.655  // 
#declare Obsidian_Ior                 = 1.482
#declare Olivin_Ior_1                 = 1.670  // colorless, yellow, green, black
#declare Olivin_Ior_2                 = 1.651
#declare Olivin_Ior_3                 = 1.685
#declare Opal_Ior                     = 1.43   // 1.40-1.46
#declare Potassium_Aluminia_Ior       = 1.456  // (KAl[SO4]2*12H20) colorless 
#declare Potassiumbromide_Ior	      = 1.56   // KBr
#declare Potassiumchloride_Ior        = 1.49   // KCl
#declare Potassiumfluorid_Ior	      = 1.36   // KF
//#declare Potassium_di-H_orthophosphate_Ior = 1.50   // KH2PO4
#declare Rhodonit_Ior_1               = 1.7275 // dark pink. 1.723-1.732 
#declare Rhodonit_Ior_2               = 1.7285 // 1.716-1.741 
#declare Rhodonit_Ior_3               = 1.7245 // 1.711-1.738 
#declare Rhutil_Ior_1                 = 2.90   // pale yellow 
#declare Rhutil_Ior_2                 = 2.61   // pale yellow 
#declare Ruby_Ior                     = 1.77
#declare Sapphire_Ior                 = 1.7
#declare Silicon_oxide_1_Ior          = 1.60   // SiO2. Ionic solid. It can be
                                               // found in many crystalline
#declare Silicon_oxide_2_Ior	      = 1.40   // forms. The value of 1.60 lies
                                               // in the range of refraction
                                               // indices found in quartz.
#declare Silvin_Ior                   = 1.490  // (KCl) colorless 
#declare Sodiumbromide_Ior            = 1.64   // NaBr                                               
#declare Sodium_Chloride_Salt_1_Ior   = 1.544
#declare Sodium_Chloride_Salt_2_Ior   = 1.644
#declare Sodium_Chloride_Salt_3_Ior   = 1.5
#declare Spodumen_Ior_1               = 1.6785 // white, pink, green. 1.676-1.681 
#declare Spodumen_Ior_2               = 1.6655 // 1.660-1.671 
#declare Spodumen_Ior_3               = 1.6595 // 1.651-1.668 
#declare Strontiumdifluorid_Ior       = 1.44   // SrF2
#declare Topaz_Ior_1                  = 1.61
#declare Topaz_Ior_2                  = 1.6275 // 1.617-1.638
#declare Topaz_Ior_3                  = 1.62   // 1.609-1.631
#declare Topaz_Ior_4                  = 1.6175 // 1.606-1.629
#declare Tooth_structure_enamel_Ior   = 1.655
#declare Tselestin_Ior_1              = 1.63   // Celestin? 
#declare Tselestin_Ior_2              = 1.624  // 
#declare Tselestin_Ior_3              = 1.622  // 
#declare Tourmaline_Ior_1             = 1.666  // black, green, red,  1.640-1.692
#declare Tourmaline_Ior_2             = 1.6385 // indigo, polychrome. 1.620-1.657
#declare Quartz_1_Ior                 = 1.644
#declare Quartz_2_Ior                 = 1.553
#declare Zhadeit_Ior_1                = 1.6765 // looks like nephrite 1.665-1.688 
#declare Zhadeit_Ior_2                = 1.665  // 1.657-1.673 
#declare Zhadeit_Ior_3                = 1.66   // 1.654-1.666 
#declare Zinc_oxide_Ior	              = 1.96   // ZnO. Also called zincite. Ionic crystal.
#declare Zinc_sulfide_Ior             = 2.40   // ZnS. Common name is zinc blende.
                                               // Ionic crystal having a beautiful redish yellow color.
                                               

//
// LIQUIDS 
//

#declare Acetone_Ior                  = 1.36
#declare Alcohol_Ior                  = 1.329
#declare Benzen_Ior                   = 1.500
#declare Ethyl_Alcohol_Ior            = 1.36
#declare Flourite_Ior                 = 1.434
#declare Sugar_Solution_30_Ior        = 1.38   // 30% solution
#declare Sugar_Solution_80_Ior        = 1.49   // 80% solution
#declare Water_20_C_Ior               = 1.333  // 20 degrees Celsius
#declare Carbondisulfide_Ior          = 1.63
#declare Canada_balsam_Ior            = 1.530  // Used as glue for optics.


//
// VARIOUS 
//

#declare Polystyrene_Ior              = 1.55   // Plastic
#declare Asphalt_Ior                  = 1.635
#declare Gum_arabic_Ior               = 1.480
#declare Ivory_Ior                    = 1.539
#declare Gelatin_Ior                  = 1.52
#declare Aloe_Ior                     = 1.619
#declare SBN_Ior                      = 2.4    // SulphurBoronNitrogen ???



// END OF FILE IOR_PLUS.INC

